LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05158Bug reports[All Projects] Installationpublic2011-05-11 02:362011-05-13 00:10
Reporterdadyo 
Assigned ToDenisChenu 
PriorityhighSeveritycrash 
StatusclosedResolutionfixed 
Product Version1.91 
Target VersionFixed in Version1.91+ 
Summary05158: Missing backslash in index.php gives throws a "unexpected T_STRING error"
DescriptionParse error: syntax error, unexpected T_STRING in C:\XAMPP\xampp\htdocs\gsp\limesurvey\index.php on line 2914

Steps To ReproduceJust follow the installation directions when using:
limesurvey191plus-build10060-20110510.zip

Opening the limesurvey root dir or previewing a new build questiongroup throws the error.
Additional InformationPutting a backslash in the end of the line 2914 stops the error.

This:
.submit();"
Should be this:
.submit();\"

But this might not be complete thing but solves it for me at this moment.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID10060
BrowserFF 3.6.17
Database & DB-VersionMySql 5.1.41
Operating System (Server)Win XP / Xampp
Webserver software & versionApache/2.2.14 (Win32)
PHP Version5.3.1
Attached Files

- Relationships

-  Notes
User avatar (14979)
dadyo (reporter)
2011-05-11 02:39

It's actualy 1.91+ and not 1.91
User avatar (14982)
DenisChenu (developer)
2011-05-11 11:19

Fixed in 10061
(14995)
user13974
2011-05-12 23:31

The proposed download release (12. may 2011 @22.29) from limesurvey's website is build 10060!
Please backport the fix or change the "stable" version to be downloaded.

- Issue History
Date Modified Username Field Change
2011-05-11 02:36 dadyo New Issue
2011-05-11 02:39 dadyo Note Added: 14979
2011-05-11 11:18 DenisChenu Assigned To => DenisChenu
2011-05-11 11:18 DenisChenu Status new => assigned
2011-05-11 11:19 DenisChenu Note Added: 14982
2011-05-11 11:19 DenisChenu Status assigned => resolved
2011-05-11 11:19 DenisChenu Fixed in Version => 1.91+
2011-05-11 11:19 DenisChenu Resolution open => fixed
2011-05-12 23:31 user13974 Note Added: 14995
2011-05-13 00:10 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker